Remote code execution in freeCap CAPTCHA extension for TYPO3

Published: 2019-10-15 | Updated: 2019-10-15
Severity High
Patch available YES
Number of vulnerabilities 1
CVE ID CVE-2019-16699
CWE ID CWE-20
Exploitation vector Network
Public exploit N/A
Vulnerable software freeCap CAPTCHA Subscribe
Vendor TYPO3

Security Advisory

This security advisory describes one high risk vulnerability.

1) Input validation error

Severity: High

CVSSv3: 7.1 [CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C] [PCI]

CVE-ID: CVE-2019-16699

CWE-ID: CWE-20 - Improper Input Validation

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

The vulnerability exists due to insufficient validation of user-supplied input. A remote attacker can execute arbitrary Extbase actions, resulting in remote code execution.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

freeCap CAPTCHA: 2.0.0, 2.0.1, 2.0.2, 2.0.3, 2.0.4, 2.0.5, 2.0.6, 2.0.7, 2.0.8, 2.0.9, 2.0.10, 2.1.0, 2.2.0, 2.3.0, 2.3.1, 2.4.0, 2.4.1, 2.4.2, 2.4.3, 2.4.4, 2.4.5, 2.5.0, 2.5.1, 2.5.2

CPE External links

https://typo3.org/security/advisory/typo3-ext-sa-2019-018/

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote non-authenticated attacker via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.



ImmuniWeb® AI Platform for Application Security Testing